Skip to main content
GET
/
teams
/
{id}
/
arenas
Arenas
curl --request GET \
  --url 'https://api.eliteprospects.com/v1/teams/{id}/arenas?apiKey='
{
  "_meta": {
    "generatedAt": "<string>",
    "offset": 123,
    "limit": 123,
    "totalRecords": 123
  },
  "_links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "location": "<string>",
      "yearOfConstruction": 123,
      "capacity": 123,
      "infoAsHTML": "<string>",
      "imageUrl": "<string>",
      "country": {
        "slug": "<string>",
        "name": "<string>",
        "iso_3166_1_alpha_2": "<string>",
        "flagUrl": {
          "small": "<string>",
          "medium": "<string>"
        },
        "eliteprospectsUrlPath": "<string>",
        "updatedAt": "<string>",
        "_links": [
          "<string>"
        ]
      },
      "eliteprospectsUrlPath": "<string>",
      "_links": [
        "<string>"
      ],
      "updatedAt": "<string>"
    }
  ]
}

Authorizations

apiKey
string
query
required

Path Parameters

id
integer
required

Numeric ID of the team to get arenas for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, name, location, yearOfConstruction, capacity, infoAsHTML, imageUrl, country, eliteprospectsUrlPath, _links, updatedAt

Available options:
id,
name,
location,
yearOfConstruction,
capacity,
infoAsHTML,
imageUrl,
country,
eliteprospectsUrlPath,
_links,
updatedAt,
country.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
id,
-id,
name,
-name,
location,
-location,
country,
-country,
yearOfConstruction,
-yearOfConstruction,
capacity,
-capacity,
updatedAt,
-updatedAt
id
integer[]

Filter by id

id:gt
integer

Filter by id greater than

country
string

Filter by country slug in ISO 3166-1 alpha-3

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of arenas.

_meta
object
data
object[]